package org.university.core;

import java.util.*;

public class GraduateStudent extends Student implements Account{
    private ArrayList<Article> articles;
    private ArrayList<Statement> ;

    public GraduateStudent(String name, int entranceYear, int id){
        super(name, entranceYear, id);
    }

    public Article[] getArticles(){
        Article[] arr = new Article[articles.size()];

        articles.toArray(arr);
        return arr;
    }

    public Statement checkout(){
        int amount = getCurrentIncome();
        balance += amount;
        Statement statement = new Statement(amount, new Date(), (Account)this);
        addBankStatement(statement);
        return statement;
    }

    public void addArticle(Article c){
        articles.add(c);
    }
}
